Antiprism 0.23

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# iso_type Class Reference

Class for an isometry. More...

`#include <symmetry.h>`

Collaboration diagram for iso_type:
[legend]

List of all members.

## Public Types
enum |
| Rotation type.
## Public Member Functions
| iso_type ()
| Constructor.
| iso_type (const mat3d &m)
| Constructor.
iso_type & | init (mat3d m)
| Initialise with a transformation matrix.
int | get_rot_type () const
| Get the rotation type.
vec3d | get_axis () const
| Get principal axis.
double | get_ang () const
| Get rotation angle.
vec3d | get_transl () const
| Get translation.
bool | is_direct () const
| Check if isometry is direct.
void | dump () const
| Dump.

## Detailed Description

Class for an isometry.

## Constructor & Destructor Documentation

iso_type::iso_type | ( | const mat3d & | m | ) | `[inline]`

Constructor.

Set up with the details for a particular transformation matrix.

Parameters:

  m | the transformation matrix.

## Member Function Documentation

void iso_type::dump | ( |  | ) | const

Dump.

Print the object data to `stdout` for debugging.

double iso_type::get_ang | ( |  | ) | const`[inline]`

Get rotation angle.

The angle will be 0 if the rotation type doesn't have an angle.

Returns:
  The angle.

vec3d iso_type::get_axis | ( |  | ) | const`[inline]`

Get principal axis.

The axis will be unset if the rotation type doesn't have an axis.

Returns:
  The axis.

int iso_type::get_rot_type | ( |  | ) | const`[inline]`

Get the rotation type.

A return value of `rt_none` indicates that the object has not been initialised with an isometry.

Returns:
  The rotation type.

vec3d iso_type::get_transl | ( |  | ) | const`[inline]`

Get translation.

The translation will be unset if the object has not been initialised with an isometry.

Returns:
  The translation.

iso_type & iso_type::init | ( | mat3d | m | ) |

Initialise with a transformation matrix.

Set up with the details for a particular transformation matrix.

Parameters:

  m | the transformation matrix.

Returns:
  A reference to this symmetry axis.

bool iso_type::is_direct | ( |  | ) | const`[inline]`

Check if isometry is direct.

Returns:
  `true` if the isometry is direct, otherwise `false`

The documentation for this class was generated from the following files:

- base/symmetry.h
- base/symmetry.cc